package com.topcoder.db.generation.xsd2ddl;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.sql.Connection;
import java.sql.DriverManager;

public class Demo {
	
public void a() throws Exception {
	
// Create an instance of the util class.
// There are different overloads for that.
// Some accept a custom namespace and some accept custom parsers and renderers.
DefinitionUtil util = new DefinitionUtil();
// --or--
DefinitionUtil util = new DefinitionUtil("com.topcoder.db.generation.xsd2ddl.oracle10g");
DefinitionUtil util = new DefinitionUtil("com.topcoder.db.generation.xsd2ddl.sqlserver");
DefinitionUtil util = new DefinitionUtil("com.topcoder.db.generation.xsd2ddl.informix");
DefinitionUtil util = new DefinitionUtil(new XmlDefinitionParser(), new InformixRenderer());
DefinitionUtil util = new DefinitionUtil("com.topcoder.db.generation.xsd2ddl.informix", new XmlDefinitionParser(), new InformixRenderer());
DefinitionUtil util = new DefinitionUtil("com.topcoder.db.generation.xsd2ddl.informix", new XmlDefinitionParser(), null);

// The database script can be obtained as string.
// The input can be string content, a stream or a file.
String script = util.produceDefinitions("<?xml version=...");
String script = util.produceDefinitions(new FileInputStream("school.xsd"));
String script = util.produceDefinitionsFromFile("school.xsd");

// The database script can be written to a stream.
// The input can be string content, a stream or a file.
util.produceDefinitions("<?xml version=...", new FileOutputStream("school.sql"));
util.produceDefinitions(new FileInputStream("school.xsd"), new FileOutputStream("school.sql"));
util.produceDefinitionsFromFile("school.xsd", new FileOutputStream("school.sql"));

// The database script can be written to a file.
// The input can be string content, a stream or a file.
util.produceDefinitions("<?xml version=...", "school.sql");
util.produceDefinitions(new FileInputStream("school.xsd"), "school.sql");
util.produceDefinitionsFromFile("school.xsd", "school.sql");

// The database script can be run using the default connection.
// The input can be string content, a stream or a file.
util.executeDefinitions("<?xml version=...");
util.executeDefinitions(new FileInputStream("school.xsd"));
util.executeDefinitionsFromFile("school.xsd");

// The database script can be run using a connection given by name.
// The input can be string content, a stream or a file.
util.executeDefinitions("<?xml version=...", "oracle_conn_1");
util.executeDefinitions(new FileInputStream("school.xsd"), "oracle_conn_1");
util.executeDefinitionsFromFile("school.xsd", "oracle_conn_1");

// The database script can be run using a connection that we acquire on our own.
// The input can be string content, a stream or a file.
String url = "jdbc:msql://127.0.0.1:1433/school_db"; 
Connection connection = DriverManager.getConnection(url, "", ""); 
util.executeDefinitions("<?xml version=...", connection);
util.executeDefinitions(new FileInputStream("school.xsd"), connection);
util.executeDefinitionsFromFile("school.xsd", connection);

}

}
